Skip to main content
GET
/
v1
/
voice-agents
/
collections
/
list
List Collections.
curl --request GET \
  --url https://api.tryhamsa.com/v1/voice-agents/collections/list \
  --header 'Authorization: <api-key>'
{
  "success": true,
  "message": "Success",
  "data": {
    "items": [
      {
        "id": "d949f13f-40d2-4e48-ac86-b66633070603",
        "name": "Customer Support Tools",
        "description": "Tools used for customer support operations",
        "userId": "d949f13f-40d2-4e48-ac86-b66633070603",
        "projectId": "d949f13f-40d2-4e48-ac86-b66633070603",
        "webToolsCount": 5,
        "createdAt": "2024-01-15T10:30:00Z",
        "updatedAt": "2024-01-15T10:30:00Z"
      }
    ],
    "total": 25,
    "filtered": 10
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '

Query Parameters

skip
integer
default:1

Number of items to skip (pagination).

Required range: x >= 1
Example:

1

take
integer
default:10

Number of items to take (pagination).

Required range: x >= 1
Example:

10

Searches collections by name or description.

Example:

"My Collection"

Response

Successful response

success
boolean
Example:

true

message
string
Example:

"Success"

data
object